/* sphereWeight.cpp computes the weight of a spherical ball.
 *
 * Input:  The radius (feet) and 
 *           the density (pounds/cubic foot) of a spherical ball
 * Output: The weight of the sphere (pounds)
 ****************************************************************/

#include <iostream>                   // cin, cout, <<, >>
#include <cmath>                      // pow()
using namespace std;

int main()
{
   const double PI = 3.14159;

   cout << "Enter the sphere's radius (feet): ";
   double radius;
   cin >> radius;
   cout << "Enter its density (pounds/cubic feet): ";
   double density;
   cin >> density;

   double weight = density * 4.0 * PI * pow(radius, 3) / 3.0;

   cout << "\nThe weight of the sphere is approximately "
        << weight << " pounds.\n";
}

